%define uname icecast
%define gname icecast

Name:		icecast
Version:	2.2.0
Release:	1
Summary:	Xiph Streaming media server that supports multiple audio formats.
Group:		Applications/Multimedia
License:	GPL
URL:		http://www.icecast.org/
Vendor:		Xiph.org Foundation <team@icecast.org>
Source0:     	http://downloads.us.xiph.org/releases/icecast/%{name}-%{version}.tar.gz
Source1:	icecast.init
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-root

Requires:       libvorbis >= 1.0
BuildRequires:	libvorbis-devel >= 1.0
Requires:       libogg >= 1.0
BuildRequires:	libogg-devel >= 1.0
Requires:       curl >= 7.10.0
BuildRequires:	curl-devel >= 7.10.0
Requires:       libxml2
BuildRequires:	libxml2-devel
Requires:       libxslt
BuildRequires:	libxslt-devel
Requires:       libtheora
BuildRequires:	libtheora-devel

%description
Icecast is a streaming media server which currently supports Ogg Vorbis 
and MP3 audio streams. It can be used to create an Internet radio 
station or a privately running jukebox and many things in between. 
It is very versatile in that new formats can be added relatively 
easily and supports open standards for commuincation and interaction.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --mandir=%{_mandir} --sysconfdir=/etc
make %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%{__mkdir_p} $RPM_BUILD_ROOT/etc/rc.d/init.d
%{__install} -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%{__mkdir_p} $RPM_BUILD_ROOT/var/log/%{name}
sed -i -e 's|/usr/var/log/icecast|/var/log/%{name}|g' $RPM_BUILD_ROOT/etc/%{name}.xml

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre
# create user (and group) for icecast
/usr/sbin/useradd -c "IceCast" -s /bin/false -r \
	-d /usr/share/%{name}/web %{uname} >/dev/null 2>&1 || :

%post
chkconfig --add %{name}

%preun
if [ "$1" = 0 ] ; then
	chkconfig --del %{name}
fi

%postun
if [ $1 = 0 ] ; then
	userdel %{uname} >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS TODO ChangeLog
%doc doc/*.html
%doc doc/*.jpg
%doc doc/*.css
%attr(640,root,%{gname}) %config(noreplace) /etc/%{name}.xml
%{_bindir}/%{name}
%{_prefix}/share/%{name}/*
%config /etc/rc.d/init.d/%{name}
%attr(775,root,%{gname}) %dir /var/log/%{name}

%changelog
* Mon Jul  4 2005 Peter Hanecak <hanecak@megaloman.sk> 2.2.0-1
- synchronized with official icecast-2.2.0-1 package
- %%{?_smp_mflags} used with 'make'

* Sun Sep 22 2002 Peter Hanecak <hanecak@megaloman.sk>
[1.3.12-4]
- do not run icecast as root

* Mon Sep 16 2002 Peter Hanecak <hanecak@megaloman.sk>
[1.3.12-3]
- "chkconfig --add icecast off" changed back to "chkconfig --add icecast"

* Fri Sep 13 2002 Peter Hanecak <hanecak@megaloman.sk>
[1.3.12-2]
- synchronized with RedHat's icecast 1.3.11-1 package
- prerequires /usr/sbin/groupadd and /sbin/chkconfig
- "chkconfig --add icecast" changed to "chkconfig --add icecast off"

* Thu Apr 11 2002 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to 1.3.12

* Mon Dec  3 2001 Peter Hanecak <hanecak@megaloman.sk>
  [1.3.11-1]
- incorporated stuff from original icecast spec file
- .bz2 source archiv
- s/Copyright/License

* Tue Jan 23 2001 Tim Powers <timp@redhat.com>
- add patch to fix string format vulnerability (reported to bugtraq by
- built for 7.0
  cyrax@pkcrew.org, by by him also )

* Mon Jan 22 2001 Tim Powers <timp@redhat.com>
- update to 1.3.8.beta2

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Mon Nov 13 2000 Tim Powers <timp@redhat.com>
- updated to 1.3.7

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun  4 2000 Peter Hanecak <hanecak@megaloman.sk>
  [1.3.5-2]
- icecast group

* Mon May 15 2000 Tim Powers <timp@redhat.com>
- use %configure instead of ./configure
- removed redundant defines
- removed vendor header (Red Hat policy)
- quiet setup

* Fri Apr 21 2000 Arne Coucheron <arneco@online.no>
  [1.3.5-1]
- several changes in the spec file
- changed the init script

* Tue Mar 21 2000 Jeremy Katz <katzj@icecast.org>
- clean up the spec file a little

* Thu Dec 9 1999 Jeremy Katz <katzj@icecast.org>
- First official rpm build, using 2.0.0-beta

* Fri Jul 16 1999 Arne Coucheron <arneco@online.no>
  [1.3.0-1]
- added more documentation
- deactivation of icecast init file moved to %preun
- some changes in the %install section
- changed Group: tag

* Tue Apr 13 1999 Arne Coucheron <arneco@online.no>
  [1.1.4-1]
- added serial tag to let it make it into RH contrib

* Mon Mar 13 1999 Arne Coucheron <arneco@online.no>
  [1.1.3-1]
- added liveice program and config file

* Fri Mar 05 1999 Arne Coucheron <arneco@online.no>
  [1.1.2-1]

* Wed Mar 03 1999 Arne Coucheron <arneco@online.no>
  [1.1.0-2]
- a small change in the init script

* Tue Mar 02 1999 Arne Coucheron <arneco@online.no>
  [1.1.0-1]
- first RPM build
